OpenNMS API 1.2.9

## org.opennms.protocols.ip
Class IPHeader.LooseSourceRouteOption

    java.lang.Object
      org.opennms.protocols.ip.IPHeader.Option
          org.opennms.protocols.ip.IPHeader.RouteOption
              org.opennms.protocols.ip.IPHeader.LooseSourceRouteOption

Enclosing class:
  IPHeader

public static final class IPHeader.LooseSourceRouteOption
extends IPHeader.RouteOption

This class represents the loose source routing options that may be part of an IP header. The loose source route defines a set of IP addresses that a packet should pass though. As the packet reaches each address the packet is forwarded to the next element in the route.

Author:
  Brian Weaver , OpenNMS

Field Summary

Fields inherited from class org.opennms.protocols.ip.IPHeader.RouteOption
`m_addrs`

Fields inherited from class org.opennms.protocols.ip.IPHeader.Option
`CODE_END_OF_OPTION_LIST, CODE_LOOSE_SOURCE_ROUTE, CODE_ROUTE_RECORD, CODE_STRICT_SOURCE_ROUTE, m_code`

Constructor Summary
`(package private)` `IPHeader.LooseSourceRouteOption()` Constructs a new, empty instance of the class.
`` `IPHeader.LooseSourceRouteOption(IPv4Address[] addrs)` Constructs a new instance of the class with the passed addresses used for the routing.
`` `IPHeader.LooseSourceRouteOption(java.util.List addrs)` Constructs a new instance of the class with the passed addresses used for the routing.

Methods inherited from class org.opennms.protocols.ip.IPHeader.RouteOption
`add, bytesRequired, iterator, size, writeBytes`

Methods inherited from class org.opennms.protocols.ip.IPHeader.Option
`getOptionClass, getOptionNumber, isOptionCopied`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPHeader.LooseSourceRouteOption

    IPHeader.LooseSourceRouteOption()

  Constructs a new, empty instance of the class.

### IPHeader.LooseSourceRouteOption

    public IPHeader.LooseSourceRouteOption(IPv4Address[] addrs)

  Constructs a new instance of the class with the passed addresses used for the routing. If the set of addresses is larger than the option can hold an exception is thrown.

Parameters:
  `addrs` - The list of addresses for the loose source route.
Throws:
  `java.lang.IndexOutOfBoundsException` - Thrown if the number of addresses is to large for the option

### IPHeader.LooseSourceRouteOption

    public IPHeader.LooseSourceRouteOption(java.util.List addrs)

  Constructs a new instance of the class with the passed addresses used for the routing. If the set of addresses is larger than the option can hold an exception is thrown.

Parameters:
  `addrs` - The list of addresses for the loose source route.
Throws:
  `java.lang.IndexOutOfBoundsException` - Thrown if the number of addresses is to large for the option

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.